Bug 1156540 - [rfe] use dnf instead of yum
Summary: [rfe] use dnf instead of yum
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-kickstart
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1156491
TreeView+ depends on / blocked
 
Reported: 2014-10-24 16:07 UTC by Rahul Sundaram
Modified: 2016-06-16 20:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-16 20:06:03 UTC
Type: Bug


Attachments (Terms of Use)
use dnf instead of yum (28.96 KB, patch)
2015-07-03 15:48 UTC, Michael Mráka
no flags Details | Diff

Description Rahul Sundaram 2014-10-24 16:07:16 UTC
Description of problem:


Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

Please switch from yum/yum-utils to dnf/dnf-plugins-core. Thanks!

Comment 1 Michael Mráka 2015-07-03 15:48:08 UTC
Created attachment 1045877 [details]
use dnf instead of yum

Here is a patch for system-config-kickstart which replaces yum with dnf.

Comment 2 Chris Lumens 2016-01-08 19:01:36 UTC
Applied, thanks for the patch!

Comment 3 Chris Lumens 2016-01-08 19:34:07 UTC
Hey, I just applied this and was wondering if you'd seen the following traceback:

Traceback (most recent call last):
  File "src/system-config-kickstart", line 95, in <module>
    ksGui.run()
  File "/home/clumens/src/system-config-kickstart/src/kickstartGui.py", line 203, in run
    self.packages_class = packages.Packages(xml, self.ksHandler, self.progress_window)
  File "/home/clumens/src/system-config-kickstart/src/packages.py", line 176, in __init__
    self.gs.doRefresh()
  File "/home/clumens/src/system-config-kickstart/src/GroupSelector.py", line 448, in doRefresh
    self._setupCatchallCategory()
  File "/home/clumens/src/system-config-kickstart/src/GroupSelector.py", line 430, in _setupCatchallCategory
    for g in cat.groups:
  File "/usr/lib/python2.7/site-packages/dnf/comps.py", line 219, in groups
    return list(self.groups_iter())
  File "/usr/lib/python2.7/site-packages/dnf/comps.py", line 215, in groups_iter
    yield self._build_group(grp_id)
  File "/usr/lib/python2.7/site-packages/dnf/comps.py", line 210, in _build_group
    raise ValueError(msg % (grp_id.name, self.id))
ValueError: no group 'clustering' from category 'servers'

Comment 4 Michael Mráka 2016-01-11 10:06:24 UTC
I don't remember such a traceback but the patch is half a year old so most likely code has changed since then.

Comment 5 Chris Lumens 2016-01-12 15:03:15 UTC
Which just means that I would have had a lot of other dnf-related bugs in s-c-kickstart since then.  This doesn't really fill me with optimism about using dnf.  Maybe one day it'll become a stable library, but it doesn't seem like we are there yet.

Comment 6 Chris Lumens 2016-06-16 20:06:03 UTC
s-c-ks in its current form is probably never going to move to DNF.  It's really old code at this point and could use some serious reworking, at which point I will just start with DNF from scratch.  Thanks for the patch, though.


Note You need to log in before you can comment on or make changes to this bug.